Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 915923 (qt5-qtxmlpatterns) - Review Request: qt5-qtxmlpatterns - Qt5 - QtXmlPatterns component
Summary: Review Request: qt5-qtxmlpatterns - Qt5 - QtXmlPatterns component
Keywords:
Status: CLOSED ERRATA
Alias: qt5-qtxmlpatterns
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: qt5-qtbase, qt5-qtbase-review
Blocks: kde-reviews qt-reviews sigil-07
TreeView+ depends on / blocked
 
Reported: 2013-02-26 18:50 UTC by Rex Dieter
Modified: 2013-09-27 18:42 UTC (History)
4 users (show)

Fixed In Version: qt5-qtxmlpatterns-5.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-27 15:26:12 UTC
dan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rex Dieter 2013-02-26 18:50:38 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtxmlpatterns.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtxmlpatterns-5.0.1-1.fc18.src.rpm
Description: Qt5 - QtXmlPatterns component
Fedora Account System Username: rdieter

Comment 2 Erik Schilling 2013-06-05 11:11:05 UTC
Not sure where to mention this issue (here or in the qt quick part), but:

I installed your qt5 packages and then tried to build a project which uses QML. The build itself works fine. However if I run the binary then my UI is not working since there is an error in the qml files:

file:///home/ablu/mana/manamobile/qml/main/ServerPage.qml:76:5: Qt was built without support for xmlpatterns 
         XmlListModel { 
         ^ 
I installed the xmlpatterns package using your SRPM here. The qt5-base is from the repositories, the other qt5 packages are all SRPM builds from your review requests.

The project I tried to compile is https://github.com/mana/manamobile/
The project itself builds fine against the precompiled qt version of qt-project. So it does not seem to be an issue in that project.

ablu@ablu: ~$ yum info qt5-qtbase
Installed Packages
Name        : qt5-qtbase
Arch        : i686
Version     : 5.0.2
Release     : 3.fc19
[...]
Repo        : installed
[...]

ablu@ablu: ~$ yum info qt5-qtxmlpatterns
Loaded plugins: auto-update-debuginfo, langpacks, refresh-packagekit
Installed Packages
Name        : qt5-qtxmlpatterns
Arch        : i686
Version     : 5.0.2
Release     : 1.fc19
[...]
Repo        : installed
From repo   : /qt5-qtxmlpatterns-5.0.2-1.fc19.i686
[...]


Regards and Thanks a lot for working on this qt5 stuff (I would help doing reviews, but I guess this is out of my league),
Erik

Comment 3 Kevin Kofler 2013-06-05 17:55:54 UTC
I guess you need some other qt5 package (probably Qt Quick) rebuilt with BuildRequires: qt5-qtxmlpatterns-devel added.

Comment 4 Erik Schilling 2013-06-05 18:28:31 UTC
It was qtdeclarative. But thx for the hint! Works great now.

Comment 5 Dan Horák 2013-08-15 14:13:09 UTC
formal review is here, see the notes explaining OK* and BAD statuses below:

OK*     source files match upstream:
            a234427a0b9172aa8d1064577a5a1e9f4a86c839  qtxmlpatterns-opensource-src-5.0.2.tar.xz
OK      package meets naming and versioning guidelines.
OK      specfile is properly named, is cleanly written and uses macros consistently.
OK      dist tag is present.
OK      license field matches the actual license.
OK*     license is open source-compatible. License texts not included in package.
OK*     latest version is being packaged.
OK      BuildRequires are proper.
OK      compiler flags are appropriate.
OK      package builds in mock (Rawhide/x86_64).
OK      debuginfo package looks complete.
OK*     rpmlint is silent.
OK      final provides and requires look sane.
N/A     %check is present and all tests pass.
OK      shared libraries are added to the regular linker search paths, with correct scriptlets
Ok      owns the directories it creates.
OK      doesn't own any directories it shouldn't.
OK      no duplicates in %files.
OK      file permissions are appropriate.
OK      correct scriptlets present.
OK      code, not content.
OK      documentation is small, so no -docs subpackage is necessary.
OK      %docs are not necessary for the proper functioning of the package.
OK      headers in devel subpackage
OK      pkgconfig files in devel subpackage
OK      no libtool .la droppings.
OK      not a GUI app.

- the Source URL doesn't work with the 5.0 series being in the archive
- please include the license text in the package
- I see 5.1 as the latest, but let's don't mix 5.1 with 5.0 during the review phase
- rpmlint complains a bit, but the warnings are harmless
qt5-qtxmlpatterns.src:42: W: macro-in-comment %{_bindir}
qt5-qtxmlpatterns-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtxmlpatterns-opensource-src-5.0.2/src/xmlpatterns/.rcc
qt5-qtxmlpatterns-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtxmlpatterns-opensource-src-5.0.2/src/xmlpatterns/.rcc
qt5-qtxmlpatterns-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtxmlpatterns-opensource-src-5.0.2/src/xmlpatterns/.moc
qt5-qtxmlpatterns-debuginfo.x86_64: W: hidden-file-or-dir /usr/src/debug/qtxmlpatterns-opensource-src-5.0.2/src/xmlpatterns/.moc
qt5-qtxmlpatterns-devel.x86_64: W: no-documentation
qt5-qtxmlpatterns-devel.x86_64: W: no-manual-page-for-binary xmlpatterns-qt5
qt5-qtxmlpatterns-devel.x86_64: W: no-manual-page-for-binary xmlpatternsvalidator-qt5
qt5-qtxmlpatterns.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 6 Rex Dieter 2013-08-17 19:49:41 UTC
Spec URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtxmlpatterns.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/qt5/qt5-qtxmlpatterns-5.0.2-2.fc19.src.rpm

%changelog
* Sat Aug 17 2013 Rex Dieter <rdieter@fedoraproject.org> 5.0.2-2
- %%doc LICENSE.GPL LICENSE.LGPL LGPL_EXCEPTION.txt
- update Source URL

Comment 7 Dan Horák 2013-08-18 07:58:08 UTC
All issues fixed, package is APPROVED

Comment 8 Rex Dieter 2013-08-18 22:48:13 UTC
New Package SCM Request
=======================
Package Name: qt5-qtwebkit
Short Description: Qt5 - QtWebKit components
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f18 f19
InitialCC:

Comment 9 Kevin Kofler 2013-08-19 11:50:20 UTC
New Package SCM Request
=======================
Package Name: qt5-qtxmlpatterns
Short Description: Qt5 - QtXmlPatterns component
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f18 f19
InitialCC:

Fixed the SCM request for you. ;-)

Comment 10 Gwyn Ciesla 2013-08-19 11:59:40 UTC
Git done (by process-git-requests).

Comment 11 Rex Dieter 2013-08-27 15:26:12 UTC
imported, thanks.

Comment 12 Rex Dieter 2013-09-10 20:38:54 UTC
Package Change Request
======================
Package Name: qt5-qtxmlpatterns
New Branches: el6
Owners: rdieter
InitialCC: 

Co-maintainers welcome!

Comment 13 Gwyn Ciesla 2013-09-11 12:07:01 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2013-09-11 17:25:46 UTC
qt5-qtxmlpatterns-5.1.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/qt5-qtxmlpatterns-5.1.1-1.el6

Comment 15 Fedora Update System 2013-09-27 18:42:03 UTC
qt5-qtxmlpatterns-5.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.